#include <stdio.h> 
#include <stdlib.h> 
#include "Pile.h"

/** File ou pile ?
 * 
 * Une file est un container de type FIFO : First IN First Out. Chez le boucher le premier dans la File d'attente est le premier servi.
 * Une pile est un container de type LIFO : Last IN First Out. Pour une Pile d'assiettes, c'est la dernière assiette rangée qui sera la première à être réutilisée.
 * 
 * Une liste chainée est un ensemble de cellules. Chaque cellule contient un pointeur vers une autre cellule. 
 * La liste est repérée par un "pointeur de tête" qui pointe sur la première cellule et éventuellement par un pointeur dit "pointeur de queue" qui pointe sur la dernière cellule. 
 * 
 * Ici Le pointeur pointe sur la première cellule. L'ajout se fait en tête de liste. S'il faut enlever un élément, ou en ajouter un, c'est en tête de liste que cela se passe. 
 * On est donc en présence de l'implémentation d'une Pile par une Liste avec une seul pointeur sur la tête.
 * 
 * */

// Ecrire la fonction depiler (penser à faire le free)

// Ecrire la fonction insererFinPile

int main (void) {
	TCellule *pile;
	pile = newPile() ;
	afficherPile(pile);
	pile=insererPile(pile,4) ;
	pile=insererPile(pile,7) ;
	pile=insererPile(pile,2.3) ;
	afficherPile(pile);
	// double nb ;
	// pile = depiler(pile ,&nb ) ; printf ("nb dépilé = %lf\n", nb) ;
	// afficherPile(pile) ;
	// pile = insererFinPile (pile, -8) ;
	// afficherPile(pile) ;

}



